#include <stdio.h>
#include <locale.h>
#include <string.h>

main (int argc, char *argv[]) {

char * reqlcname;
char * gotlcname;

if (argc != 2){
  printf("Usage: lct language[_TERRITORY[.Codeset]]\n");
  exit (1);
  };
reqlcname=argv[1];

printf("Trying to set LC_CTYPE=%s\n",reqlcname);

gotlcname=setlocale(LC_CTYPE, reqlcname);

if ( !gotlcname) {
  printf ("No locale '%s' in your system.\n",reqlcname);
  exit (1);
  }
else {
  printf("We got LC_CTYPE=%s\n",gotlcname);

  if ( strcmp(gotlcname, reqlcname))
    printf("We can't set REQUIRED locale !\n");
  else
    printf("Great! All OK.\n");
  };
}
